package com.ruoyi.interfaces.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据项对象 md_data_item
 *
 * @author ruoyi
 * @date 2025-07-25
 */
public class MdDataItem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private String dataId;

    /**
     * 数据项分类序号
     */
    @Excel(name = "数据项分类序号")
    private String cateId;

    /**
     * 字段名称
     */
    @Excel(name = "字段名称")
    private String itemName;

    /**
     * 英文名称
     */
    @Excel(name = "英文名称")
    private String itemEn;

    /**
     * 字段数据项类型
     */
    @Excel(name = "字段数据项类型")
    private String itemTp;

    /**
     * 字段数据类型
     */
    @Excel(name = "字段数据类型")
    private String itemDataTp;

    /**
     * 默认值
     */
    @Excel(name = "默认值")
    private String itemDefaultVal;

    /**
     * 数据单位
     */
    @Excel(name = "数据单位")
    private String itemUnit;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String itemNotes;

    /**
     * 编辑时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyby;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createby;

    public Date getCreateby() {
        return createby;
    }

    public void setCreateby(Date createby) {
        this.createby = createby;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getDataId() {
        return dataId;
    }

    public void setCateId(String cateId) {
        this.cateId = cateId;
    }

    public String getCateId() {
        return cateId;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemEn(String itemEn) {
        this.itemEn = itemEn;
    }

    public String getItemEn() {
        return itemEn;
    }

    public void setItemTp(String itemTp) {
        this.itemTp = itemTp;
    }

    public String getItemTp() {
        return itemTp;
    }

    public void setItemDataTp(String itemDataTp) {
        this.itemDataTp = itemDataTp;
    }

    public String getItemDataTp() {
        return itemDataTp;
    }

    public void setItemDefaultVal(String itemDefaultVal) {
        this.itemDefaultVal = itemDefaultVal;
    }

    public String getItemDefaultVal() {
        return itemDefaultVal;
    }

    public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
    }

    public String getItemUnit() {
        return itemUnit;
    }

    public void setItemNotes(String itemNotes) {
        this.itemNotes = itemNotes;
    }

    public String getItemNotes() {
        return itemNotes;
    }

    public void setModifyby(Date modifyby) {
        this.modifyby = modifyby;
    }

    public Date getModifyby() {
        return modifyby;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("dataId", getDataId())
                .append("cateId", getCateId())
                .append("itemName", getItemName())
                .append("itemEn", getItemEn())
                .append("itemTp", getItemTp())
                .append("itemDataTp", getItemDataTp())
                .append("itemDefaultVal", getItemDefaultVal())
                .append("itemUnit", getItemUnit())
                .append("itemNotes", getItemNotes())
                .append("createby", getCreateby())
                .append("modifyby", getModifyby())
                .toString();
    }
}
